## funtools 1.4.4+dfsg

=== debian/changelog ===
funtools (1.4.4+dfsg-1) unstable; urgency=medium

  * Remove sourceless files from source tarball
  * Change maintainership to debian-astro-maintainers

 -- Ole Streicher <debian@liska.ath.cx>  Wed, 02 Apr 2014 10:01:00 +0200

=== debian/control ===
Source: funtools
Section: science
Priority: optional
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <debian@liska.ath.cx>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               gawk,
               libwcstools-dev,
               tcl-dev,
               zlib1g-dev
Standards-Version: 3.9.4
Homepage: https://www.cfa.harvard.edu/~john/funtools/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/funtools.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/funtools.git

Package: funtools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Minimal buy-in FITS utility package
 Funtools, is a "minimal buy-in" FITS library and utility package developed at
 the High Energy Astrophysics Division of SAO. The Funtools library
 provides simplified access to a wide array of file types: standard
 astronomical FITS images and binary tables, raw arrays and binary event
 lists, and even tables of ASCII column data. A sophisticated region filtering
 library (compatible with ds9) filters images and tables using boolean
 operations between geometric shapes, support world coordinates, etc. Funtools
 also supports advanced capabilities such as optimized data searching using
 index files.
 .
 This package contains the tools.

Package: libfuntools1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Minimal buy-in FITS library
 Funtools, is a "minimal buy-in" FITS library and utility package developed at
 the High Energy Astrophysics Division of SAO. The Funtools library
 provides simplified access to a wide array of file types: standard
 astronomical FITS images and binary tables, raw arrays and binary event
 lists, and even tables of ASCII column data. A sophisticated region filtering
 library (compatible with ds9) filters images and tables using boolean
 operations between geometric shapes, support world coordinates, etc. Funtools
 also supports advanced capabilities such as optimized data searching using
 index files.
 .
 This library contains the shared library.

Package: libfuntools-dev
Section: libdevel
Architecture: any
Depends: libfuntools1 (= ${binary:Version}), libwcstools-dev, ${misc:Depends}
Description: Minimal buy-in FITS library (development files)
 Funtools, is a "minimal buy-in" FITS library and utility package developed at
 the High Energy Astrophysics Division of SAO. The Funtools library
 provides simplified access to a wide array of file types: standard
 astronomical FITS images and binary tables, raw arrays and binary event
 lists, and even tables of ASCII column data. A sophisticated region filtering
 library (compatible with ds9) filters images and tables using boolean
 operations between geometric shapes, support world coordinates, etc. Funtools
 also supports advanced capabilities such as optimized data searching using
 index files.
 .
 This package contains the development files.

Package: tcl-funtools
Section: interpreters
Architecture: any
Depends: libfuntools1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Minimal buy-in FITS library (Tcl interface)
 Funtools, is a "minimal buy-in" FITS library and utility package developed at
 the High Energy Astrophysics Division of SAO. The Funtools library
 provides simplified access to a wide array of file types: standard
 astronomical FITS images and binary tables, raw arrays and binary event
 lists, and even tables of ASCII column data. A sophisticated region filtering
 library (compatible with ds9) filters images and tables using boolean
 operations between geometric shapes, support world coordinates, etc. Funtools
 also supports advanced capabilities such as optimized data searching using
 index files.
 .
 This package contains the Tcl interface.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://cfa-www.harvard.edu/~john/funtools .+funtools-(.+)\.tar\.gz

## funtools 1.4.4+dfsg2

=== debian/changelog ===
funtools (1.4.4+dfsg2-1) unstable; urgency=low

  * Change uploader's e-mail address
  * Change VCS repository location to debian-astro
  * Update standards version to 3.9.6. No changes needed.
  * Remove prebuilt .chm file to make lintian happy.
  * Rename manpages of section 3. Closes: #759687

 -- Ole Streicher <olebole@debian.org>  Sun, 26 Oct 2014 19:39:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: science
 Priority: optional
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <debian@liska.ath.cx>
+Uploaders: Ole Streicher <olebole@debian.org>
 Build-Depends: autotools-dev,
                debhelper (>= 9),
                dh-autoreconf,
@@ -10,10 +10,10 @@
                libwcstools-dev,
                tcl-dev,
                zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: https://www.cfa.harvard.edu/~john/funtools/
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/funtools.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/funtools.git
+Vcs-Git: git://anonscm.debian.org/debian-astro/packages/funtools.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-astro/packages/funtools.git
 
 Package: funtools
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf,autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared --with-zlib=-lz --with-wcslib=-lwcstools  --with-tcl=/usr/lib --enable-dl

override_dh_auto_build: 
	dh_auto_build -- all shtclfun

override_dh_installman:
	dh_installman
	for t in  FunClose FunImageGet FunInfoPut FunRef FunColumnActivate \
	 FunImagePut FunLib FunTableRowGet FunColumnLookup FunImageRowGet \
	 FunOpen FunTableRowPut FunColumnSelect FunImageRowPut FunParamGet \
	 FunFlush FunInfoGet FunParamPut ; do \
	  s=$$(echo $$t | tr [A-Z] [a-z]) ; \
	  mv debian/libfuntools-dev/usr/share/man/man3/$$s.3 \
	     debian/libfuntools-dev/usr/share/man/man3/$$t.3 ; \
	done


override_dh_installchangelogs:
	dh_installchangelogs doc/changelog.html

override_dh_makeshlibs:
	dh_makeshlibs -Xlibtclfun.so

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg.*// \
http://cfa-www.harvard.edu/~john/funtools .+funtools-(.+)\.tar\.gz

## funtools 1.4.6+git150228

=== Makefile ===
#
# This file is a Makefile for Funtools.  If it has the name "Makefile.in"
# then it is a template for a Makefile;  to generate the actual Makefile,
# run "./configure", which is a configuration script generated by the
# "autoconf" program (constructs like "@foo@" will get replaced in the
# actual Makefile.
#

PACKAGE = funtools
VERSION = 1.4.6

DISTNAME = funtools-${VERSION}
DISTDIR = ../export/${DISTNAME}
FTPDIR	= ../ftp

#----------------------------------------------------------------
# Things you can change to personalize the Makefile for your own
# site (you can make these changes in either Makefile.in or
# Makefile, but changes to Makefile will get lost if you re-run
# the configuration script).
#----------------------------------------------------------------

# Default top-level directories in which to install architecture-
# specific files (exec_prefix) and machine-independent files such
# as scripts (prefix).  The values specified here may be overridden
# at configure-time with the --exec-prefix and --prefix options
# to the "configure" script.

prefix =		/home/eric
exec_prefix =		${prefix}

# The following definition can be set to non-null for special systems
# like AFS with replication.  It allows the pathnames used for installation
# to be different than those used for actually reference files at
# run-time.  INSTALL_ROOT is prepended to $prefix and $exec_prefix
# when installing files.
INSTALL_ROOT =

# Directory in which to install the .a or .so binary for the FUNTOOLS library:
LIB_INSTALL_DIR =	$(INSTALL_ROOT)$(exec_prefix)/lib

# Directory in which to install the program wish:
BIN_INSTALL_DIR =	$(INSTALL_ROOT)$(exec_prefix)/bin

# Directory in which to install the funtools.h include file:
INCLUDE_INSTALL_DIR =	$(INSTALL_ROOT)$(prefix)/include

# Top-level directory for manual entries:
MAN_INSTALL_DIR =	$(INSTALL_ROOT)$(prefix)/man

# Top-level directory for share entries:
MAN_SHARE_DIR =		$(INSTALL_ROOT)$(prefix)/share/funtools

# util files are in the util subdirectory
UTIL_INC =		-I./util
# UTIL_LIBS =		-L./util -lutil

# fitsy files are in the fitsy subdirectory
FITSY_INC =		-I./fitsy
# FITSY_LIBS =		-L./fitsy -lfitsy

# wcs files are in the wcs subdirectory
WCS_INC =		-I./wcs
# WCS_LIBS =		-L./wcs -lwcs

# filter files are in the filter subdirectory
FILTER_INC =        	-I./filter
# FILTER_LIBS =		-L./filter -lfilter

# extra includes for compiling
INCLUDES =		$(UTIL_INC) $(FILTER_INC) $(WCS_INC) $(FITSY_INC)

# extra libs
EXTRA_LIBS =		 -ldl

# the full set of libraries for linking
LIBS = 			$(UTIL_LIBS) $(FILTER_LIBS) $(WCS_LIBS) $(FITSY_LIBS) \
			$(EXTRA_LIBS) -lm

# To change the compiler switches, for example to change from -O
# to -g, change the following line:
CFLAGS = 		-g -W -Wall -Wno-implicit-int -fPIC

# To add ld switches, change the following line:
LDFLAGS =		-g -rdynamic

# whether to set the FPU in double round mode
USE_FPU_DOUBLE =	0

# Some versions of make, like SGI's, use the following variable to
# determine which shell to use for executing commands:
SHELL =			/bin/sh

# extra modules added by configure.in to fix OS bugs
EXTRA_OBJS = 		

# special definitions for funcalc (based on filter configuration)
FUNCALC_CC =		NULL
FUNCALC_CFLAGS =	\"-O2\"

# if enabled-shared was specified, this will exand to "shlib" and trigger
# building of the shared library
DOSHARED =	
DOMAINLIB =	

# There are just too many different versions of "install" around;
# better to use the install-sh script that comes with the distribution,
# which is slower but guaranteed to work.

INSTALL = 		./install-sh -c
INSTALL_PROGRAM =	${INSTALL}
INSTALL_DATA =		${INSTALL} -m 644

# which awk-like program do we have?
PRE=			
POST=			|\& cat
AWK =			gawk
PIPEGLUE =		
GUNZIP =		gzip -dcf
GNUPLOT =		gnuplot

#----------------------------------------------------------------
# The information below is modified by the configure script when
# Makefile is generated from Makefile.in.  You shouldn't normally
# modify any of this stuff by hand.
#----------------------------------------------------------------

AC_FLAGS =		-DHAVE_CONFIG_H
RANLIB =		ranlib
EXE =			

#----------------------------------------------------------------
# The information below should be usable as is.  The configure
# script won't modify it and you shouldn't need to modify it
# either.
#----------------------------------------------------------------

CC  =		gcc

CC_SWITCHES =	-I. ${CFLAGS} -DUSE_DL=1 ${INCLUDES} ${AC_FLAGS}

DEPEND_SWITCHES = -I. ${CFLAGS} ${INCLUDES} ${AC_FLAGS}

SRCS =		funcol.c funcopy.c funtab.c funim.c funinfo.c \
		funopen.c funopenp.c funparam.c funtext.c funwcs.c \
		funview.c funutil.c

OBJS =		funcol.o funcopy.o funtab.o funim.o funinfo.o \
		funopen.o funopenp.o funparam.o funtext.o funwcs.o \
		funview.o funutil.o

# these are all the modules going into the "normal" funtools library
LIBOBJS =	${OBJS}

# the default library for this package
DEFLIB =	libfuntools.a

# the actual library we are building (if this is a subpackage)
LIB =		libfuntools.a

# this is used in the link line
# LLIB =	$(LIB)
LLIB =		$(LIB)

# libraries containing main as subroutines
MAINLIB =	lib$(PACKAGE)MainLib.a

PROGS =		funcalc funcen funcnts funcone fundisp funhead funhist \
		funimage funjoin funmerge funsky funtable

MAINLIBOBJS =	funcalc_main.o funcen_main.o funcnts_main.o funcone_main.o \
		fundisp_main.o funhead_main.o funhist_main.o \
		funimage_main.o funmerge_main.o funsky_main.o funtable_main.o \
		funjoin_main.o 

PROGS2 =	_sort

TEMPLATES =	funcnts_plot.tmpl funhist_plot.tmpl funcnts_sed.tmpl \
		funtools_ds9.tmpl funds9.tmpl funtbl.tmpl funindex.tmpl

SCRIPTS =	funcnts.plot funhist.plot funcnts.sed funds9 funtbl funindex

DS9HELPERS =	funtools.ds9

FILES =		funcalc.sed

DEVEL =		

# Subdirectories to run make in for the primary targets.

SUBLIBS =	util fitsy wcs filter

SUBDIRS =	$(SUBLIBS) gnu funtest faq

all:		lib progs progs2 scripts ds9helpers

progs:		$(PROGS)

progs2:		$(PROGS2)

scripts:	$(SCRIPTS)

ds9helpers:	$(DS9HELPERS)

devel:		$(DEVEL)

libutil:	FORCE
		@(echo Making libutil.a in util ...; \
		  cd util; $(MAKE) libutil; mv libutil.a ..)

sublib:		FORCE
		@for dir in $(SUBLIBS); do \
		   echo " "; \
		   echo Making library in $$dir ...; \
		   (cd $$dir; $(MAKE)) ; \
		done

lib:		$(LIB) $(DOMAINLIB) $(DOSHARED)

$(LIB):		sublib $(LIBOBJS)
		ar cruv $(LIB) $(LIBOBJS)
		$(RANLIB) $(LIB)

funmainlib.c:	$(MAINLIBOBJS) mkfunmainlib
		echo $(PROGS) | ./mkfunmainlib > funmainlib.c;

shlib:		sublib $(LIBOBJS)
		@(rm -rf $(PACKAGE)tmp; mkdir $(PACKAGE)tmp; \
		(cd $(PACKAGE)tmp && ar x ../$(LIB)); \
		CC='$(CC)' CXX=$(CXX) \
		./mklib -o $(PACKAGE) $(PACKAGE)tmp/*.o; \
		rm -rf $(PACKAGE)tmp;)

mainlib:	$(MAINLIBOBJS) funmainlib.o lex.calc.o
		@(ar cruv lib$(PACKAGE)MainLib.a \
		$(MAINLIBOBJS) funmainlib.o lex.calc.o; \
		$(RANLIB) lib$(PACKAGE)MainLib.a)

shmainlib:	mainlib
		@(rm -rf $(PACKAGE)tmp; mkdir $(PACKAGE)tmp; \
		(cd $(PACKAGE)tmp && ar x ../lib$(PACKAGE)MainLib.a); \
		CC='$(CC)' CXX='$(CXX)' \
		./mklib -o $(PACKAGE)MainLib -L. -lfuntools $(PACKAGE)tmp/*.o;\
		rm -rf $(PACKAGE)tmp;)

tclfun:		$(LIB) tclmainlib.o tclfun.o
		@(ar cruv libtclfun.a tclmainlib.o tclfun.o; \
		$(RANLIB) libtclfun.a)

shtclfun:	tclfun
		@(rm -rf $(PACKAGE)tmp; mkdir $(PACKAGE)tmp; \
		(cd $(PACKAGE)tmp && ar x ../$(LIB) && ar x ../libtclfun.a); \
		CC='$(CC)' CXX='$(CXX)' \
		./mklib -o tclfun $(PACKAGE)tmp/*.o; \
		rm -rf $(PACKAGE)tmp; \
		test -r pkgIndex.tcl && mv pkgIndex.tcl pkgIndex.tcl-old; \
		SHLIB=libtclfun.so; \
		test -r libtclfun.dylib && SHLIB=libtclfun.dylib; \
		echo "pkg_mkIndex -direct . $${SHLIB}; exit" | tclsh;)

tclfun.c:	FORCE
		echo $(PROGS) | ./mkfunmainlib -tcl > tclfun.c


tclmainlib.o:	util/tclmainlib.c
		$(CC) -c $(CC_SWITCHES) util/tclmainlib.c

funcalc:	funcalc.o lex.calc.o lib
		$(CC) $(LDFLAGS) funcalc.o lex.calc.o -o funcalc \
		$(LLIB) $(LIBS)

funcen:		funcen.o lib
		$(CC) $(LDFLAGS) funcen.o -o funcen $(LLIB) $(LIBS)

funcnts:	funcnts.o lib
		$(CC) $(LDFLAGS) funcnts.o -o funcnts $(LLIB) $(LIBS)

funcone:	funcone.o lib
		$(CC) $(LDFLAGS) funcone.o -o funcone $(LLIB) $(LIBS)

fundisp:	fundisp.o lib
		$(CC) $(LDFLAGS) fundisp.o -o fundisp $(LLIB) $(LIBS)

funhist:	funhist.o lib
		$(CC) $(LDFLAGS) funhist.o -o funhist $(LLIB) $(LIBS)

funhead:	funhead.o lib
		$(CC) $(LDFLAGS) funhead.o -o funhead $(LLIB) $(LIBS)

funimage:	funimage.o lib
		$(CC) $(LDFLAGS) funimage.o -o funimage $(LLIB) $(LIBS)

funjoin:	funjoin.o lib
		$(CC) $(LDFLAGS) funjoin.o -o funjoin $(LLIB) $(LIBS)

funmerge:	funmerge.o lib
		$(CC) $(LDFLAGS) funmerge.o -o funmerge $(LLIB) $(LIBS)

funsky:	funsky.o lib
		$(CC) $(LDFLAGS) funsky.o -o funsky $(LLIB) $(LIBS)

funtable:	funtable.o lib
		$(CC) $(LDFLAGS) funtable.o -o funtable $(LLIB) $(LIBS)

_sort:		FORCE
		@(echo " "; echo "Making in gnu ..."; cd gnu; $(MAKE))

funcalc_main.o:	funcalc.c
		$(CC) -c $(CC_SWITCHES) -Dmain="funcalc_main" \
		-o funcalc_main.o funcalc.c
funcen_main.o:	funcen.c
		$(CC) -c $(CC_SWITCHES) -Dmain="funcen_main" \
		-o funcen_main.o funcen.c

funcnts_main.o:	funcnts.c
		$(CC) -c $(CC_SWITCHES) -Dmain="funcnts_main" \
		-o funcnts_main.o funcnts.c
funcone_main.o:	funcone.c
		$(CC) -c $(CC_SWITCHES) -Dmain="funcone_main" \
		-o funcone_main.o funcone.c
fundisp_main.o:	fundisp.c
		$(CC) -c $(CC_SWITCHES) -Dmain="fundisp_main" \
		-o fundisp_main.o fundisp.c
funhist_main.o:	funhist.c
		$(CC) -c $(CC_SWITCHES) -Dmain="funhist_main" \
		-o funhist_main.o funhist.c
funhead_main.o:	funhead.c
		$(CC) -c $(CC_SWITCHES) -Dmain="funhead_main" \
		-o funhead_main.o funhead.c
funimage_main.o:	funimage.c
		$(CC) -c $(CC_SWITCHES) -Dmain="funimage_main" \
		-o funimage_main.o funimage.c
funjoin_main.o:	funjoin.c
		$(CC) -c $(CC_SWITCHES) -Dmain="funjoin_main" \
		-o funjoin_main.o funjoin.c
funmerge_main.o:	funmerge.c
		$(CC) -c $(CC_SWITCHES) -Dmain="funmerge_main" \
		-o funmerge_main.o funmerge.c
funsky_main.o:	funsky.c
		$(CC) -c $(CC_SWITCHES) -Dmain="funsky_main" \
		-o funsky_main.o funsky.c

funtable_main.o:	funtable.c
		$(CC) -c $(CC_SWITCHES) -Dmain="funtable_main" \
		-o funtable_main.o funtable.c

funcnts.plot:	funcnts_plot.tmpl
		sed -e 's#AWK#$(AWK)#g' funcnts_plot.tmpl > funcnts.plot
		chmod +x funcnts.plot

funhist.plot:	funhist_plot.tmpl
		sed -e 's#AWK#$(AWK)#g' funhist_plot.tmpl > funhist.plot
		chmod +x funhist.plot

funds9:		funds9.tmpl
		sed -e 's#AWK#$(AWK)#g;s#GNUPLOT#$(GNUPLOT)#g' funds9.tmpl > funds9
		chmod +x funds9

funtbl:		funtbl.tmpl
		sed -e 's#AWK#$(AWK)#g;' funtbl.tmpl > funtbl
		chmod +x funtbl

funindex:	funindex.tmpl
		cp -p funindex.tmpl funindex
		chmod +x funindex

funcnts.sed:	funcnts_sed.tmpl
		cp funcnts_sed.tmpl funcnts.sed
		chmod +x funcnts.sed

funtools.ds9:	funtools_ds9.tmpl
		sed -e 's#PRE#$(PRE)#g;s#POST#$(POST)#g;s#GUNZIP#$(GUNZIP)#g' funtools_ds9.tmpl > funtools.ds9

diff:
		@-(for file in "`ls *.c`";				\
		    do							\
			echo $$file;					\
			diff /soft/saord/funtools-*/$$file .;	\
		    done;)

install::	install-binaries

install::	$(DOSHARED)_install

install::
		@for dir in $(SUBDIRS); do \
		   echo " "; \
		   echo Installing in $$dir ...; \
		   (cd $$dir; $(MAKE) $@) ; \
		done

install::	install-man

install::	install-share

install::	install-data

FORCE:

# Note: before running ranlib below, must cd to target directory because
# some ranlibs write to current directory, and this might not always be
# possible (e.g. if installing as root).

# this nop-op gets executed if we are not building shared libraries
_install:

shlib_install:
	@-(for i in `ls *.so* *.dylib *.sl 2>/dev/null` ; \
	   do \
	   if [ -h $$i ] ; then \
		echo "Installing link $$i" ; \
		tar cf - $$i | (cd $(LIB_INSTALL_DIR); tar xf -) ; \
	   else \
		echo "Installing $$i" ; \
		$(INSTALL_DATA) $$i $(LIB_INSTALL_DIR)/$$i ; \
		chmod 555 $(LIB_INSTALL_DIR)/$$i; \
	   fi; \
	   done;)

install-binaries: lib $(PROGS) $(SCRIPTS) $(DS9HELPERS)

=== debian/changelog ===
funtools (1.4.6+git150228-1) unstable; urgency=low

  * Create upstream/metadata with bibliographic information
  * Change home page to github. Closes: #780651
  * switch back to unstable

 -- Ole Streicher <olebole@debian.org>  Sat, 25 Apr 2015 14:00:46 +0200

funtools (1.4.6+git150228-1~exp) experimental; urgency=low

  * Changed upstream to github repository
  * Remove buggy script funds9

 -- Ole Streicher <olebole@debian.org>  Sat, 28 Feb 2015 14:08:54 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                tcl-dev,
                zlib1g-dev
 Standards-Version: 3.9.6
-Homepage: https://www.cfa.harvard.edu/~john/funtools/
+Homepage: https://github.com/ericmandel/funtools
 Vcs-Git: git://anonscm.debian.org/debian-astro/packages/funtools.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-astro/packages/funtools.git

## funtools 1.4.6+git150811

=== debian/changelog ===
funtools (1.4.6+git150811-2) unstable; urgency=low

  * Depend on libfuntools1 on libc6-dev, since this is needed for the
    C compilaton

 -- Ole Streicher <olebole@debian.org>  Tue, 24 Nov 2015 20:21:47 +0100

funtools (1.4.6+git150811-1) unstable; urgency=low

  * New download from upstream git 1b0fa6f
  * Depend libfuntools1 on a C compiler, since it uses one
  * Adjust hompage and watch URLs

 -- Ole Streicher <olebole@debian.org>  Fri, 23 Oct 2015 11:57:58 +0200

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
 Package: libfuntools1
 Section: libs
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: gcc | c-compiler, libc6-dev, ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Minimal buy-in FITS library

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,12 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with autoreconf,autotools_dev
+	dh $@ --with autoreconf
+
+override_dh_autoreconf:
+	for i in . filter fitsy util wcs; do \
+	  cp -a /usr/share/misc/config.* $$i ; done
+	dh_autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-shared --with-zlib=-lz --with-wcslib=-lwcstools  --with-tcl=/usr/lib --enable-dl
@@ -23,6 +28,9 @@
 	     debian/libfuntools-dev/usr/share/man/man3/$$t.3 ; \
 	done
 
+override_dh_auto_clean:
+	rm -f Makefile
+	dh_auto_clean
 
 override_dh_installchangelogs:
 	dh_installchangelogs doc/changelog.html

## funtools 1.4.7

=== debian/changelog ===
funtools (1.4.7-4) unstable; urgency=medium

  * Correct mklib calls to fix FTCFBFS (Closes: #914485)
  * Add "set -e" to mklibs script for better build failures
  * Push Standards-Version to 4.2.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Fri, 23 Nov 2018 20:44:28 +0100

funtools (1.4.7-3) unstable; urgency=low

  * Update VCS fields to use salsa.d.o
  * mklib: clean up abi flags for x86 targets
  * Push compat to 11
  * Push Standards-Version to 4.1.4. Change URLs to https

 -- Ole Streicher <olebole@debian.org>  Sat, 19 May 2018 14:23:25 +0200

funtools (1.4.7-2) unstable; urgency=low

  * Let failing mklibs fail the build (Closes: #882357)
  * Push Standards-Version to 4.1.1 (no changes)

 -- Ole Streicher <olebole@debian.org>  Wed, 22 Nov 2017 10:09:53 +0100

funtools (1.4.7-1) unstable; urgency=medium

  * Add Bug-Db to d/u/metadata
  * New upstream version 1.4.7

 -- Ole Streicher <olebole@debian.org>  Tue, 25 Oct 2016 21:56:02 +0200

funtools (1.4.6+git150811-3) unstable; urgency=low

  [ Alexis Bienvenüe ]
  * Sort object files to pass to mklib, to make the build reproducible.
    Closes: #827864

  [ Ole Streicher ]
  * Update standards-version to 3.9.8 (no changes)
  * Update VCS fields, add ASCL-Id
  * Build against Tcl Stubs

 -- Ole Streicher <olebole@debian.org>  Thu, 23 Jun 2016 13:18:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: funtools
 Section: science
 Priority: optional
-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Build-Depends: autotools-dev,
-               debhelper (>= 9),
+               debhelper (>= 11),
                dh-autoreconf,
                gawk,
                libwcstools-dev,
                tcl-dev,
                zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 4.2.1
 Homepage: https://github.com/ericmandel/funtools
-Vcs-Git: git://anonscm.debian.org/debian-astro/packages/funtools.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-astro/packages/funtools.git
+Vcs-Git: https://salsa.debian.org/debian-astro-team/funtools.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/funtools
 
 Package: funtools
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --no-parallel --with autoreconf
 
 override_dh_autoreconf:
 	for i in . filter fitsy util wcs; do \
@@ -14,7 +14,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-shared --with-zlib=-lz --with-wcslib=-lwcstools  --with-tcl=/usr/lib --enable-dl
 
-override_dh_auto_build: 
+override_dh_auto_build:
 	dh_auto_build -- all shtclfun
 
 override_dh_installman:

## funtools 1.4.8

=== doc/Makefile ===
#
# Makefile for misc programs, not good enough for their own directory
#

RM	= rm
RMFLAGS	= -f
MV	= mv
MVFLAGS	= -f
CP	= cp
CPFLAGS	= -p

MANDIR =	../man

# web site for installation
WEBDIR =	/proj/rd/www/funtools

all:		dirs files hardcopy index

dirs:
		@(if [ ! -d ${MANDIR} ]; then 				\
		    mkdir ${MANDIR}; 					\
		    mkdir ${MANDIR}/man1 ${MANDIR}/man3 ${MANDIR}/mann; \
		fi)

files:
		@(for i in *.html; do \
		    echo processing $$i; \
		    ./html2man ../man < $$i; \
		done)

hardcopy:	
		html2ps -C fb -d -g -n -u -W b -x 1 -o funtools.ps help.html
		ps2pdf funtools.ps funtools.pdf

www:
		-@( if [ -d ${WEBDIR} ]; then \
			  cp -p *.html ${WEBDIR}/.; \
		    else \
			  echo "Web site not available for install"; \
		    fi;)

# NB: sman.conf must be copied to $HOME or else its not found ...
# we also have to figure out where swish-e is located and hardwire it
index:  szlong
	@(cd ..; MANPATH=`pwd`/man; export MANPATH; cd doc; \
	SW=`which swish-e`; \
	SZ_LONG=`./szlong`; \
	sed -e 's#@SW@#'$$SW'#g' < sman_conf.tmpl > $${HOME}/sman.conf; \
	sman-update --clearcache; \
	sman-update --verbose --index=./sman/fun$${SZ_LONG}.index; \
	rm -f $${HOME}/sman.conf szlong)

szlong: szlong.c
	$(CC) $(CFLAGS) -o szlong szlong.c

clean:
	-$(RM) $(RMFLAGS) *.BAK *.bak *.o core errs ,* *~ *.a \
	foo* goo* tags TAGS html2ps.dbg

=== debian/changelog ===
funtools (1.4.8-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.
  * Drop unnecessary dependency on dh-autoreconf.
  * Remove obsolete field Name from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

  [ Ole Streicher ]
  * New upstream version 1.4.8
  * Rediff patches
  * Push Standards-Version to 4.6.0. No changes needed
  * Add "Rules-Requires-Root: no" to d/control
  * Remove unneeded explicit dependency from autotools-dev
  * Fix BSD-3-Clause short name in d/copyright
  * Push dh compat to 13. Explicitly Ignore missing files on install

 -- Ole Streicher <olebole@debian.org>  Sat, 28 Aug 2021 17:39:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: funtools
+Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Ole Streicher <olebole@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: autotools-dev,
-               debhelper (>= 11),
-               dh-autoreconf,
+Build-Depends: debhelper-compat (= 13),
                gawk,
                libwcstools-dev,
                tcl-dev,
                zlib1g-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/funtools
+Vcs-Git: https://salsa.debian.org/debian-astro-team/funtools.git
 Homepage: https://github.com/ericmandel/funtools
-Vcs-Git: https://salsa.debian.org/debian-astro-team/funtools.git
-Vcs-Browser: https://salsa.debian.org/debian-astro-team/funtools
+Rules-Requires-Root: no
 
 Package: funtools
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Minimal buy-in FITS utility package
  Funtools, is a "minimal buy-in" FITS library and utility package developed at
  the High Energy Astrophysics Division of SAO. The Funtools library
@@ -32,11 +32,14 @@
  This package contains the tools.
 
 Package: libfuntools1
+Architecture: any
+Multi-Arch: same
 Section: libs
-Architecture: any
-Depends: gcc | c-compiler, libc6-dev, ${misc:Depends}, ${shlibs:Depends}
+Depends: gcc | c-compiler,
+         libc6-dev,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
 Description: Minimal buy-in FITS library
  Funtools, is a "minimal buy-in" FITS library and utility package developed at
  the High Energy Astrophysics Division of SAO. The Funtools library
@@ -51,9 +54,11 @@
  This library contains the shared library.
 
 Package: libfuntools-dev
+Architecture: any
 Section: libdevel
-Architecture: any
-Depends: libfuntools1 (= ${binary:Version}), libwcstools-dev, ${misc:Depends}
+Depends: libfuntools1 (= ${binary:Version}),
+         libwcstools-dev,
+         ${misc:Depends}
 Description: Minimal buy-in FITS library (development files)
  Funtools, is a "minimal buy-in" FITS library and utility package developed at
  the High Energy Astrophysics Division of SAO. The Funtools library
@@ -68,9 +73,11 @@
  This package contains the development files.
 
 Package: tcl-funtools
+Architecture: any
 Section: interpreters
-Architecture: any
-Depends: libfuntools1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libfuntools1 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Minimal buy-in FITS library (Tcl interface)
  Funtools, is a "minimal buy-in" FITS library and utility package developed at
  the High Energy Astrophysics Division of SAO. The Funtools library

=== debian/watch ===
version=3
opts=dversionmangle=s/\+git\d*//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/funtools-$1\.tar\.gz/ \
  https://github.com/ericmandel/funtools/tags .*/v?(\d\S*)\.tar\.gz
